<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { inject } from 'vue';
import { storeToRefs } from 'pinia';
import Modal from '@/components/general/Modal.vue';
import { request } from '@/lib/request';
import { useChatStore } from '@/stores/chat';


const configuration = inject<any>('configuration');
const store = useChatStore();
const { uuid } = storeToRefs(store);

const emits = defineEmits<{
    (e: 'submit'): void, 
    (e: 'close'): void
}>();

const handleSubmit = async()=>{
    if(uuid.value && uuid.value.length>0){
        const result = await request('DELETE', configuration.apiServer + '/api/ai/chat/'+uuid.value, undefined, undefined, undefined, true);
        if(result.success)
            emits('submit');
    }
};

const handleCancel = ()=>{
    emits('close');
};
</script>
<template>
    <Modal :header="$t('ai.chat.delete.header')" :text="$t('ai.chat.delete.text')" :labelSubmit="$t('ai.chat.delete.button.submit.label')" :labelCancel="$t('general.buttons.cancel')" @submit="handleSubmit" @cancel="handleCancel"/>
</template>